class loadingView
{
    constructor() 
	{
		this.sOS = conchConfig.getOS();
		if (this.sOS == "Conch-ios")
		{
			this.bridge = PlatformClass.createClass("JSBridge");
		}
		else if (this.sOS == "Conch-android")
		{
			this.bridge = PlatformClass.createClass("sjh.dm.JSBridge");
		}
    }
    set loadingAutoClose(value) 
	{
        this._loadingAutoClose = value;
    }
	get loadingAutoClose()
	{
		return this._loadingAutoClose;
	}
	bgColor(value)
	{
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("bgColor:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("bgColor",value);
			}
		}
	}
	layaInitError(value)
	{
	    if(this.bridge)
        {
            if (this.sOS == "Conch-ios")
            {
                this.bridge.call("layaInitError:", value);
            }
            else if(this.sOS == "Conch-android")
            {
                this.bridge.call("layaInitError", value);
            }
        }
	}
	hideLoadingView()
	{
		this.bridge.call("hideSplash");
	}
}
window.loadingView = new loadingView();
if(window.loadingView)
{
    window.loadingView.loadingAutoClose=false;//true代表当动画播放完毕，自动进入游戏。false为开发者手动控制
    window.loadingView.bgColor("#000000");//设置背景颜色
}

var nMem = conchConfig.getTotalMem();
console.log("设备内存 : " + nMem);
if (nMem <= 2097152) {
    conchConfig.maxTextureMemSize = 160 * 1024 * 1024;
} else if (nMem <= 4194304) {
    conchConfig.maxTextureMemSize = 200 * 1024 * 1024;
} else if (nMem <= 6291456) {
    conchConfig.maxTextureMemSize = 240 * 1024 * 1024;
} else {
    conchConfig.maxTextureMemSize = 280 * 1024 * 1024;
}

window.onLayaInitError=function(e)
{
	var errorCount = localStorage.getItem("KeyInitErrorCount");
    errorCount = Number(errorCount ? errorCount : "0");
    console.log("onLayaInitError error=" + e + "; retryCount=" + errorCount);
    ++errorCount;

    if(errorCount <= 3)
    {
        localStorage.setItem("KeyInitErrorCount", errorCount);
        setTimeout(function(){
            window.location.reload();
        }, 500);
    } else {
        localStorage.setItem("KeyInitErrorCount",0);
        alert("加载游戏失败，可能由于您的网络不稳定，请退出重进");
        if (window.loadingView) {
            window.loadingView.layaInitError(e);
        }
    }
}